## mx4j.monitor
Class MX4JGaugeMonitor.GaugeMonitorInfo

    java.lang.Object
      mx4j.monitor.MX4JMonitor.MonitorInfo
          mx4j.monitor.MX4JGaugeMonitor.GaugeMonitorInfo

Enclosing class:
  MX4JGaugeMonitor

protected class MX4JGaugeMonitor.GaugeMonitorInfo
extends MX4JMonitor.MonitorInfo

Constructor Summary
`protected` `MX4JGaugeMonitor.GaugeMonitorInfo()`

Method Summary
`java.lang.Number` `getGauge()`
`long` `getTimestamp()`
`boolean` `isHighNotified()`
`boolean` `isLowNotified()`
`void` `setGauge(java.lang.Number gauge)`
`void` `setHighNotified(boolean highNotified)`
`void` `setLowNotified(boolean lowNotified)`
`void` `setTimestamp(long timestamp)`
`java.lang.String` `toString()`

Methods inherited from class mx4j.monitor.MX4JMonitor.MonitorInfo
`isErrorNotified, setErrorNotified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MX4JGaugeMonitor.GaugeMonitorInfo

    protected MX4JGaugeMonitor.GaugeMonitorInfo()

Method Detail

### getGauge

    public java.lang.Number getGauge()

### setGauge

    public void setGauge(java.lang.Number gauge)

### getTimestamp

    public long getTimestamp()

### setTimestamp

    public void setTimestamp(long timestamp)

### isHighNotified

    public boolean isHighNotified()

### setHighNotified

    public void setHighNotified(boolean highNotified)

### isLowNotified

    public boolean isLowNotified()

### setLowNotified

    public void setLowNotified(boolean lowNotified)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MX4JMonitor.MonitorInfo`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.